Apply a manual balance adjustment
curl --request POST \
--url https://api.finsync.ar/api/accounts/{id}/manual-balance \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"balance": 123,
"adjustment": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({balance: 123, adjustment: 123})
};
fetch('https://api.finsync.ar/api/accounts/{id}/manual-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({balance: 123, adjustment: 123})
};
fetch('https://api.finsync.ar/api/accounts/{id}/manual-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/accounts/{id}/manual-balance"
payload = {
"balance": 123,
"adjustment": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"account_id": 123,
"balance_before": 123,
"balance_after": 123,
"adjustment": 123
}Accounts
Apply a manual balance adjustment
Updates an account balance directly and records a manual adjustment in the transaction ledger via database trigger.
POST
/
api
/
accounts
/
{id}
/
manual-balance
Apply a manual balance adjustment
curl --request POST \
--url https://api.finsync.ar/api/accounts/{id}/manual-balance \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"balance": 123,
"adjustment": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({balance: 123, adjustment: 123})
};
fetch('https://api.finsync.ar/api/accounts/{id}/manual-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({balance: 123, adjustment: 123})
};
fetch('https://api.finsync.ar/api/accounts/{id}/manual-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/accounts/{id}/manual-balance"
payload = {
"balance": 123,
"adjustment": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"account_id": 123,
"balance_before": 123,
"balance_after": 123,
"adjustment": 123
}Authorizations
API Key for authentication
Path Parameters
Account ID to adjust
Body
application/json